export declare const ratioClasses: {
    ultraWide: string;
    wide: string;
    landscape: string;
    square: string;
    portrait: string;
};
export declare const roundingClasses: {
    none: string;
    sm: string;
    base: string;
    md: string;
    xl: string;
};
declare const _default: import("vue").DefineComponent<{
    bannerSrc: {
        type: import("vue").PropType<string>;
    };
    logoSrc: {
        type: import("vue").PropType<string>;
    };
    rounding: {
        type: import("vue").PropType<"base" | "sm" | "xl" | "none" | "md">;
        default: string;
    };
    ratio: {
        type: import("vue").PropType<"wide" | "ultraWide" | "landscape" | "square" | "portrait">;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    bannerSrc: {
        type: import("vue").PropType<string>;
    };
    logoSrc: {
        type: import("vue").PropType<string>;
    };
    rounding: {
        type: import("vue").PropType<"base" | "sm" | "xl" | "none" | "md">;
        default: string;
    };
    ratio: {
        type: import("vue").PropType<"wide" | "ultraWide" | "landscape" | "square" | "portrait">;
        default: string;
    };
}>>, {
    rounding: keyof typeof roundingClasses;
    ratio: keyof typeof ratioClasses;
}, {}>;
export default _default;
