export type Column = {
    key: string;
    text?: string;
    sortable?: boolean;
    sortMethod?: (a: Item, b: Item) => number;
};
export type Item = Record<string, any>;
export type SortDirection = "ascending" | "descending";
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    columns: {
        type: import("vue").PropType<Column[]>;
        required: true;
    };
    items: {
        type: import("vue").PropType<Item[]>;
        required: true;
    };
    sortBy: {
        type: import("vue").PropType<string>;
    };
    sortDirection: {
        type: import("vue").PropType<SortDirection>;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:sortBy" | "update:sortDirection")[], "update:sortBy" | "update:sortDirection", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    columns: {
        type: import("vue").PropType<Column[]>;
        required: true;
    };
    items: {
        type: import("vue").PropType<Item[]>;
        required: true;
    };
    sortBy: {
        type: import("vue").PropType<string>;
    };
    sortDirection: {
        type: import("vue").PropType<SortDirection>;
        default: string;
    };
}>> & {
    "onUpdate:sortBy"?: ((...args: any[]) => any) | undefined;
    "onUpdate:sortDirection"?: ((...args: any[]) => any) | undefined;
}, {
    sortDirection: SortDirection;
}, {}>, Partial<Record<string, (_: {
    item: Item;
}) => any>>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
