import { BccBadge, BccPin } from "@/index";
import type { Component } from "vue";
export type BccTabsGroup = Array<{
    title: string;
    icon?: string | Component | Function;
    pin?: InstanceType<typeof BccPin>["$props"];
    badge?: InstanceType<typeof BccBadge>["$props"] & {
        text: string;
    };
    as?: Component | Function;
    disabled?: boolean;
    loading?: boolean;
}>;
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    size: {
        type: import("vue").PropType<"base" | "lg" | "sm">;
        default: string;
    };
    fill: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    tabs: {
        type: import("vue").PropType<BccTabsGroup>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: import("vue").PropType<"base" | "lg" | "sm">;
        default: string;
    };
    fill: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    tabs: {
        type: import("vue").PropType<BccTabsGroup>;
        required: true;
    };
}>>, {
    size: "base" | "lg" | "sm";
    fill: boolean;
}, {}>, Partial<Record<string, (_: {
    tab: {
        title: string;
        icon?: string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any> | undefined;
        pin?: (Partial<{
            context: "info" | "success" | "warning" | "danger" | "neutral";
        }> & Omit<{
            readonly context: "info" | "success" | "warning" | "danger" | "neutral";
            readonly text?: string | undefined;
            readonly icon?: string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any> | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
            text: {
                type: import("vue").PropType<string>;
            };
            context: {
                type: import("vue").PropType<"info" | "success" | "warning" | "danger" | "neutral">;
                default: string;
            };
            icon: {
                type: import("vue").PropType<string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any>>;
            };
        }>>, "context">) | undefined;
        badge?: (Partial<{
            size: "xs" | "sm";
            context: "info" | "success" | "warning" | "danger" | "neutral";
            iconRight: boolean;
        }> & Omit<{
            readonly size: "xs" | "sm";
            readonly context: "info" | "success" | "warning" | "danger" | "neutral";
            readonly iconRight: boolean;
            readonly icon?: string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any> | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: import("vue").PropType<"xs" | "sm">;
                default: string;
            };
            context: {
                type: import("vue").PropType<"info" | "success" | "warning" | "danger" | "neutral">;
                default: string;
            };
            icon: {
                type: import("vue").PropType<string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any>>;
            };
            iconRight: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
        }>>, "size" | "context" | "iconRight"> & {
            text: string;
        }) | undefined;
        as?: Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any> | undefined;
        disabled?: boolean | undefined;
        loading?: boolean | undefined;
    };
}) => any>>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
